Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deBitmap_priv.hpp File Reference

bitmap loading & conversion More...

`#include "deList.hpp"`
`#include "deBitmap.hpp"`
`#include "deWorld_Helper.hpp"`
`#include "deArray.hpp"`
`#include "deResource_Helper.hpp"`

Include dependency graph for deBitmap_priv.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | deBitmap
struct | DriverBitmapEntry
class | deBitmapProxy
## Functions
void | GetColorIn (u8 *data, IdeDriver::BPP Format, deColor &Color)
void | SetColorIn (u8 *data, IdeDriver::BPP Format, deColor Color)
deBoolean | DecompressDXTC (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP SFormat, IdeDriver::BPP TFormat)
deBoolean | DecompressDXT1 (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP TFormat)
deBoolean | DecompressDXT2 (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP TFormat)
deBoolean | DecompressDXT3 (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP TFormat)
deBoolean | DecompressDXT4 (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP TFormat)
deBoolean | DecompressDXT5 (const void *source, void *target, long Width, long Height, long TP, IdeDriver::BPP TFormat)

## Detailed Description

bitmap loading & conversion

Author:
  Assassin, Hootie, paradoxnj

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Jan 2002

Author:
  Assassin

Remarks:
  Initial Creation

## Function Documentation

deBoolean DecompressDXT1 | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | TFormat
| ) |

deBoolean DecompressDXT2 | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | TFormat
| ) |

deBoolean DecompressDXT3 | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | TFormat
| ) |

deBoolean DecompressDXT4 | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | TFormat
| ) |

deBoolean DecompressDXT5 | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | TFormat
| ) |

deBoolean DecompressDXTC | ( | const void * | source,
|  | void * | target,
|  | long | Width,
|  | long | Height,
|  | long | TP,
|  | IdeDriver::BPP | SFormat,
|  | IdeDriver::BPP | TFormat
| ) |

void GetColorIn | ( | u8 * | data,
|  | IdeDriver::BPP | Format,
|  | deColor & | Color
| ) |

void SetColorIn | ( | u8 * | data,
|  | IdeDriver::BPP | Format,
|  | deColor | Color
| ) |